org.apache.tomcat.util.http.mapper

## Class Mapper.Host

- java.lang.Object
- - org.apache.tomcat.util.http.mapper.Mapper.MapElement
  - - org.apache.tomcat.util.http.mapper.Mapper.Host

- Enclosing class:
    Mapper

      protected static final class Mapper.Host
      extends Mapper.MapElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Mapper.ContextList` | `contextList`

    - ### Fields inherited from class org.apache.tomcat.util.http.mapper.Mapper.MapElement

      `name, object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.Host(String alias, Mapper.Host realHost)` Creates an object for an Alias
    `Mapper.Host(String name, Object host)` Creates an object for primary Host

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlias(Mapper.Host alias)`
    `void` | `addAliases(Collection<? extends Mapper.Host> c)`
    `Collection<Mapper.Host>` | `getAliases()`
    `Mapper.Host` | `getRealHost()`
    `String` | `getRealHostName()`
    `boolean` | `isAlias()`
    `void` | `removeAlias(Mapper.Host alias)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contextList

          public volatile Mapper.ContextList contextList

  - ### Constructor Detail

    - #### Mapper.Host

          public Mapper.Host(String name,
                     Object host)

      Creates an object for primary Host

    - #### Mapper.Host

          public Mapper.Host(String alias,
                     Mapper.Host realHost)

      Creates an object for an Alias

  - ### Method Detail

    - #### isAlias

          public boolean isAlias()

    - #### getRealHost

          public Mapper.Host getRealHost()

    - #### getRealHostName

          public String getRealHostName()

    - #### getAliases

          public Collection<Mapper.Host> getAliases()

    - #### addAlias

          public void addAlias(Mapper.Host alias)

    - #### addAliases

          public void addAliases(Collection<? extends Mapper.Host> c)

    - #### removeAlias

          public void removeAlias(Mapper.Host alias)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.